Subject: Re: [PATCH] refs file backend: remove dead "errno == EISDIR" code

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Jul 2021 08:42:29 -0700

Jeff King <[email-masked]> writes:

> On Fri, Jul 16, 2021 at 06:28:06PM -0700, Junio C Hamano wrote:
>
>> >> I then just never got to picking it up again, I'll probably re-roll it &
>> >> make it a part of this series, then we can remove this whole OID != NULL
>> >> case and will be sure nothing fishy's going on.
>> >
>> > Yeah, that sounds like a good path forward. I do think the patch under
>> > discussion here is probably the right thing to do. But it becomes all
>> > the more obvious if lock_ref_oid_basic() ends up dropping that parameter
>> > entirely.
>> 
>> OK, so what's the final verdict on this step?  It is unfortunate
>> that when Ævar took over a topic from Han-Wen, this patch has been
>> inserted as the very first step before the patches in the series, so
>> until we know we are happy with it, it takes several other patches
>> hostage.
>
> I just read through v2. Modulo a few small nits (mostly typos, but a few
> commit message suggestions), it looks good to me. I agree it's a lot to
> stick in front of another set of patches, but I think in this case we
> can proceed quickly enough to make it worth doing in the order Ævar
> suggests.

I did not check the v2 thouroughly myself, but read it enough to
convince me that it would be good preliminary clean-up steps to come
before the main series (modulo typoes and nits, as you pointed out).

Thanks.